Subject: Re: few questions about linux on sgi machines

From: Alex Deucher <[email-masked]>
Date: Fri, 23 Apr 2004 06:50:56 -0700 (PDT)

--- Ladislav Michl <[email-masked]> wrote:
> On Thu, Apr 22, 2004 at 10:49:16AM -0700, Alex Deucher wrote:
> > Is the PCI slot supported on the o2 (i.e., could I put a linux
> > supported pci card in and use it)?  Also is the o2 AV IO board
> > supported?  Is that encompassed by VICE or is that separate?
> 
> PCI is supported with some limitations. MMIO doesn't work for certain
> endianess combinations, but PIO should be okay.
> 
> O2's AV IO is part of VICE. Vivien Chappelier wrote original ALSA
> driver
> and I did some work on it later, but stopped due to some buzz world
> stuff (am I shy to show unfinished code ;-)). You may find Vivien's
> patches here: http://www.linux-mips.org/~glaurung/
> Video input is currently unsupported (no video4linux driver)

Are there databooks floating around for the AV stuff or does it have to
be reverse engineered?  Does it use standard chips or is it custom sgi
stuff?

Thanks,

Alex

> 	ladis

		
__________________________________
Do you Yahoo!?
Yahoo! Photos: High-quality 4x6 digital prints for 25¢
http://photos.yahoo.com/ph/print_splash